## GtkInfoBar GtkInfoBar |

## Functions

GtkWidget * | gtk_info_bar_new ()
GtkWidget * | gtk_info_bar_new_with_buttons ()
void | gtk_info_bar_add_action_widget ()
GtkWidget * | gtk_info_bar_add_button ()
void | gtk_info_bar_add_buttons ()
void | gtk_info_bar_set_response_sensitive ()
void | gtk_info_bar_set_default_response ()
void | gtk_info_bar_response ()
void | gtk_info_bar_set_message_type ()
GtkMessageType | gtk_info_bar_get_message_type ()
GtkWidget * | gtk_info_bar_get_action_area ()
GtkWidget * | gtk_info_bar_get_content_area ()

## Properties

GtkMessageType | message-type | Read / Write / Construct

## Style Properties

gint | action-area-border | Read
gint | button-spacing | Read
gint | content-area-border | Read
gint | content-area-spacing | Read

## Signals

void | close | Action
void | response | Run Last

## Types and Values

struct | GtkInfoBar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkHBox
                                ╰── GtkInfoBar

## Implemented Interfaces

GtkInfoBar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

## Functions

### gtk_info_bar_new ()

    GtkWidget *
    gtk_info_bar_new (void);

Since: 2.18

### gtk_info_bar_new_with_buttons ()

    GtkWidget *
    gtk_info_bar_new_with_buttons (const gchar *first_button_text,
                                   ...);

### gtk_info_bar_add_action_widget ()

    void
    gtk_info_bar_add_action_widget (GtkInfoBar *info_bar,
                                    GtkWidget *child,
                                    gint response_id);

Since: 2.18

### gtk_info_bar_add_button ()

    GtkWidget *
    gtk_info_bar_add_button (GtkInfoBar *info_bar,
                             const gchar *button_text,
                             gint response_id);

Since: 2.18

### gtk_info_bar_add_buttons ()

    void
    gtk_info_bar_add_buttons (GtkInfoBar *info_bar,
                              const gchar *first_button_text,
                              ...);

Since: 2.18

### gtk_info_bar_set_response_sensitive ()

    void
    gtk_info_bar_set_response_sensitive (GtkInfoBar *info_bar,
                                         gint response_id,
                                         gboolean setting);

Since: 2.18

### gtk_info_bar_set_default_response ()

    void
    gtk_info_bar_set_default_response (GtkInfoBar *info_bar,
                                       gint response_id);

Since: 2.18

### gtk_info_bar_response ()

    void
    gtk_info_bar_response (GtkInfoBar *info_bar,
                           gint response_id);

Since: 2.18

### gtk_info_bar_set_message_type ()

    void
    gtk_info_bar_set_message_type (GtkInfoBar *info_bar,
                                   GtkMessageType message_type);

Since: 2.18

### gtk_info_bar_get_message_type ()

    GtkMessageType
    gtk_info_bar_get_message_type (GtkInfoBar *info_bar);

Since: 2.18

### gtk_info_bar_get_action_area ()

    GtkWidget *
    gtk_info_bar_get_action_area (GtkInfoBar *info_bar);

Since: 2.18

### gtk_info_bar_get_content_area ()

    GtkWidget *
    gtk_info_bar_get_content_area (GtkInfoBar *info_bar);

Since: 2.18

## Types and Values

### struct GtkInfoBar

    struct GtkInfoBar;

## Property Details

### The `“message-type”` property

      “message-type”             GtkMessageType

The type of message.

Flags: Read / Write / Construct

Default value: GTK_MESSAGE_INFO

Since: 2.18

## Style Property Details

### The `“action-area-border”` style property

      “action-area-border”       gint

Width of border around the action area.

Flags: Read

Allowed values: >= 0

Default value: 5

Since: 2.18

### The `“button-spacing”` style property

      “button-spacing”           gint

Spacing between buttons.

Flags: Read

Allowed values: >= 0

Default value: 6

Since: 2.18

### The `“content-area-border”` style property

      “content-area-border”      gint

Width of border around the content area.

Flags: Read

Allowed values: >= 0

Default value: 8

Since: 2.18

### The `“content-area-spacing”` style property

      “content-area-spacing”     gint

Spacing between elements of the area.

Flags: Read

Allowed values: >= 0

Default value: 16

Since: 2.18

## Signal Details

### The `“close”` signal

    void
    user_function (GtkInfoBar *arg0,
                   gpointer    user_data)

Flags: Action

Since: 2.18

### The `“response”` signal

    void
    user_function (GtkInfoBar *info_bar,
                   gint        response_id,
                   gpointer    user_data)

Flags: Run Last

Since: 2.18